java.net.SocketException

There are no available Samebug tips for this exception. Do you have an idea how to solve this issue? A short tip would help users who saw this issue last week.

  • I write this issue because I am getting an exception trying to invoke a service using Axis. The Application's code is: ... public co.com.pragma.suvalor.intermedia.webServices.consumers.oyd.CrearCuentasDecevalResponseCrearCuentasDecevalResult crearCuentasDeceval(java.lang.String conector1, java.lang.String conector2, long idCuenta, java.lang.String identificacionBeneficiario, java.lang.String identificacionBeneficiario2, java.lang.String identificacionComitente, long idIntermedia, java.lang.String tipoIdBeneficiario, java.lang.String tipoIdBeneficiario2, java.lang.String tipoIdCliente, java.lang.String operacion, long idComitente, java.lang.String login) throws java.rmi.RemoteException { if (super.cachedEndpoint == null) { throw new org.apache.axis.NoEndPointException(); } org.apache.axis.client.Call _call = createCall(); _call.setOperation(_operations[27]); _call.setUseSOAPAction(true); _call.setSOAPActionURI("http://ValoresBancolombia.WSOYD/crearCuentasDeceval"); _call.setEncodingStyle(null); _call.setProperty(org.apache.axis.client.Call.SEND_TYPE_ATTR, Boolean.FALSE); _call.setProperty(org.apache.axis.AxisEngine.PROP_DOMULTIREFS, Boolean.FALSE); _call.setSOAPVersion(org.apache.axis.soap.SOAPConstants.SOAP11_CONSTANTS); _call.setOperationName(new javax.xml.namespace.QName("http://ValoresBancolombia.WSOYD/", "crearCuentasDeceval")); setRequestHeaders(_call); setAttachments(_call); try { java.lang.Object _resp = _call.invoke(new java.lang.Object[] {conector1, conector2, new java.lang.Long(idCuenta), identificacionBeneficiario, identificacionBeneficiario2, identificacionComitente, new java.lang.Long(idIntermedia), tipoIdBeneficiario, tipoIdBeneficiario2, tipoIdCliente, operacion, new java.lang.Long(idComitente), login}); if (_resp instanceof java.rmi.RemoteException) { throw (java.rmi.RemoteException)_resp; } else { extractAttachments(_call); try { return (co.com.pragma.suvalor.intermedia.webServices.consumers.oyd.CrearCuentasDecevalResponseCrearCuentasDecevalResult) _resp; } catch (java.lang.Exception _exception) { return (co.com.pragma.suvalor.intermedia.webServices.consumers.oyd.CrearCuentasDecevalResponseCrearCuentasDecevalResult) org.apache.axis.utils.JavaUtils.convert(_resp, co.com.pragma.suvalor.intermedia.webServices.consumers.oyd.CrearCuentasDecevalResponseCrearCuentasDecevalResult.class); } } } catch (org.apache.axis.AxisFault axisFaultException) { throw axisFaultException; } } ... The exception is: 07/12/07 18:48:28 AxisFault faultCode: {http://schemas.xmlsoap.org/soap/envelope/}Server.userException faultSubcode: faultString: java.net.SocketException: No buffer space available (maximum connections reached?): connect faultActor: faultNode: faultDetail: {http://xml.apache.org/axis/}stackTrace:java.net.SocketException: No buffer space available (maximum connections reached?): connect at java.net.PlainSocketImpl.socketConnect(Native Method) at java.net.PlainSocketImpl.doConnect(PlainSocketImpl.java:305) at java.net.PlainSocketImpl.connectToAddress(PlainSocketImpl.java:171) at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:158) at java.net.Socket.connect(Socket.java:452) at sun.reflect.GeneratedMethodAccessor1409.invoke(Unknown Source) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) at java.lang.reflect.Method.invoke(Method.java:324) at org.apache.axis.components.net.DefaultSocketFactory.create(DefaultSocketFactory.java:153) at org.apache.axis.components.net.DefaultSocketFactory.create(DefaultSocketFactory.java:120) at org.apache.axis.transport.http.HTTPSender.getSocket(HTTPSender.java:191) at org.apache.axis.transport.http.HTTPSender.writeToSocket(HTTPSender.java:404) at org.apache.axis.transport.http.HTTPSender.invoke(HTTPSender.java:138) at org.apache.axis.strategies.InvocationStrategy.visit(InvocationStrategy.java:32) at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java:118) at org.apache.axis.SimpleChain.invoke(SimpleChain.java:83) at org.apache.axis.client.AxisClient.invokeTransport(AxisClient.java:150) at org.apache.axis.client.AxisClient.invoke(AxisClient.java:289) at org.apache.axis.client.Call.invokeEngine(Call.java:2838) at org.apache.axis.client.Call.invoke(Call.java:2824) at org.apache.axis.client.Call.invoke(Call.java:2501) at org.apache.axis.client.Call.invoke(Call.java:2424) at org.apache.axis.client.Call.invoke(Call.java:1835) at co.com.pragma.suvalor.intermedia.webServices.consumers.oyd.WSOYDSoap_BindingStub.crearCuentasDeceval(WSOYDSoap_BindingStub.java:2436) ... I appreciate any help. Thanks in advance.
    via by John Willmer Cubillos Vega,
  • I write this issue because I am getting an exception trying to invoke a service using Axis. The Application's code is: ... public co.com.pragma.suvalor.intermedia.webServices.consumers.oyd.CrearCuentasDecevalResponseCrearCuentasDecevalResult crearCuentasDeceval(java.lang.String conector1, java.lang.String conector2, long idCuenta, java.lang.String identificacionBeneficiario, java.lang.String identificacionBeneficiario2, java.lang.String identificacionComitente, long idIntermedia, java.lang.String tipoIdBeneficiario, java.lang.String tipoIdBeneficiario2, java.lang.String tipoIdCliente, java.lang.String operacion, long idComitente, java.lang.String login) throws java.rmi.RemoteException { if (super.cachedEndpoint == null) { throw new org.apache.axis.NoEndPointException(); } org.apache.axis.client.Call _call = createCall(); _call.setOperation(_operations[27]); _call.setUseSOAPAction(true); _call.setSOAPActionURI("http://ValoresBancolombia.WSOYD/crearCuentasDeceval"); _call.setEncodingStyle(null); _call.setProperty(org.apache.axis.client.Call.SEND_TYPE_ATTR, Boolean.FALSE); _call.setProperty(org.apache.axis.AxisEngine.PROP_DOMULTIREFS, Boolean.FALSE); _call.setSOAPVersion(org.apache.axis.soap.SOAPConstants.SOAP11_CONSTANTS); _call.setOperationName(new javax.xml.namespace.QName("http://ValoresBancolombia.WSOYD/", "crearCuentasDeceval")); setRequestHeaders(_call); setAttachments(_call); try { java.lang.Object _resp = _call.invoke(new java.lang.Object[] {conector1, conector2, new java.lang.Long(idCuenta), identificacionBeneficiario, identificacionBeneficiario2, identificacionComitente, new java.lang.Long(idIntermedia), tipoIdBeneficiario, tipoIdBeneficiario2, tipoIdCliente, operacion, new java.lang.Long(idComitente), login}); if (_resp instanceof java.rmi.RemoteException) { throw (java.rmi.RemoteException)_resp; } else { extractAttachments(_call); try { return (co.com.pragma.suvalor.intermedia.webServices.consumers.oyd.CrearCuentasDecevalResponseCrearCuentasDecevalResult) _resp; } catch (java.lang.Exception _exception) { return (co.com.pragma.suvalor.intermedia.webServices.consumers.oyd.CrearCuentasDecevalResponseCrearCuentasDecevalResult) org.apache.axis.utils.JavaUtils.convert(_resp, co.com.pragma.suvalor.intermedia.webServices.consumers.oyd.CrearCuentasDecevalResponseCrearCuentasDecevalResult.class); } } } catch (org.apache.axis.AxisFault axisFaultException) { throw axisFaultException; } } ... The exception is: 07/12/07 18:48:28 AxisFault faultCode: {http://schemas.xmlsoap.org/soap/envelope/}Server.userException faultSubcode: faultString: java.net.SocketException: No buffer space available (maximum connections reached?): connect faultActor: faultNode: faultDetail: {http://xml.apache.org/axis/}stackTrace:java.net.SocketException: No buffer space available (maximum connections reached?): connect at java.net.PlainSocketImpl.socketConnect(Native Method) at java.net.PlainSocketImpl.doConnect(PlainSocketImpl.java:305) at java.net.PlainSocketImpl.connectToAddress(PlainSocketImpl.java:171) at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:158) at java.net.Socket.connect(Socket.java:452) at sun.reflect.GeneratedMethodAccessor1409.invoke(Unknown Source) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) at java.lang.reflect.Method.invoke(Method.java:324) at org.apache.axis.components.net.DefaultSocketFactory.create(DefaultSocketFactory.java:153) at org.apache.axis.components.net.DefaultSocketFactory.create(DefaultSocketFactory.java:120) at org.apache.axis.transport.http.HTTPSender.getSocket(HTTPSender.java:191) at org.apache.axis.transport.http.HTTPSender.writeToSocket(HTTPSender.java:404) at org.apache.axis.transport.http.HTTPSender.invoke(HTTPSender.java:138) at org.apache.axis.strategies.InvocationStrategy.visit(InvocationStrategy.java:32) at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java:118) at org.apache.axis.SimpleChain.invoke(SimpleChain.java:83) at org.apache.axis.client.AxisClient.invokeTransport(AxisClient.java:150) at org.apache.axis.client.AxisClient.invoke(AxisClient.java:289) at org.apache.axis.client.Call.invokeEngine(Call.java:2838) at org.apache.axis.client.Call.invoke(Call.java:2824) at org.apache.axis.client.Call.invoke(Call.java:2501) at org.apache.axis.client.Call.invoke(Call.java:2424) at org.apache.axis.client.Call.invoke(Call.java:1835) at co.com.pragma.suvalor.intermedia.webServices.consumers.oyd.WSOYDSoap_BindingStub.crearCuentasDeceval(WSOYDSoap_BindingStub.java:2436) ... I appreciate any help. Thanks in advance.
    via by John Willmer Cubillos Vega,
  • Unrecognized Windows Sockets error...
    via by 807597,
  • db:: 4.42::J9 org.apache.commons.httpclient 98
    via by Unknown author,
    • java.net.SocketException: No buffer space available (maximum connections reached?): connect at java.net.PlainSocketImpl.socketConnect(Native Method) at java.net.PlainSocketImpl.doConnect(PlainSocketImpl.java:305) at java.net.PlainSocketImpl.connectToAddress(PlainSocketImpl.java:171) at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:158) at java.net.Socket.connect(Socket.java:452) at sun.reflect.GeneratedMethodAccessor1409.invoke(Unknown Source) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) at java.lang.reflect.Method.invoke(Method.java:324) at org.apache.axis.components.net.DefaultSocketFactory.create(DefaultSocketFactory.java:153) at org.apache.axis.components.net.DefaultSocketFactory.create(DefaultSocketFactory.java:120) at org.apache.axis.transport.http.HTTPSender.getSocket(HTTPSender.java:191) at org.apache.axis.transport.http.HTTPSender.writeToSocket(HTTPSender.java:404) at org.apache.axis.transport.http.HTTPSender.invoke(HTTPSender.java:138) at org.apache.axis.strategies.InvocationStrategy.visit(InvocationStrategy.java:32) at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java:118) at org.apache.axis.SimpleChain.invoke(SimpleChain.java:83) at org.apache.axis.client.AxisClient.invokeTransport(AxisClient.java:150) at org.apache.axis.client.AxisClient.invoke(AxisClient.java:289) at org.apache.axis.client.Call.invokeEngine(Call.java:2838) at org.apache.axis.client.Call.invoke(Call.java:2824) at org.apache.axis.client.Call.invoke(Call.java:2501) at org.apache.axis.client.Call.invoke(Call.java:2424) at org.apache.axis.client.Call.invoke(Call.java:1835) at co.com.pragma.suvalor.intermedia.webServices.consumers.oyd.WSOYDSoap_BindingStub.crearCuentasDeceval(WSOYDSoap_BindingStub.java:2436)

    Users with the same issue

    Andreas Häber
    2 times, last one,
    Unknown visitor1 times, last one,
    Unknown visitor1 times, last one,
    Unknown visitor1 times, last one,
    filipebatista
    5 times, last one,
    23 more bugmates